/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	
	var api 				= wp.customize,
		body 				= $( 'body' );
		
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );

	// Header Height
		api( 'kirhero_admin_header_height', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.header-widget-area' ).css("max-height", to +"px" );
				$( '.site-header .wrap' ).css("height", to +"px" );
				$( '.site-inner' ).css("margin-top", to +"px" );
			} );
		} );
	// Header background color
		api( 'kirhero_header_background', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.site-header' ).css("background-color", to );
				$( '.nav-primary .sub-menu' ).css("background-color", to );
			} );
		} );	
		
	// Header Menu background color
		api( 'kirhero_header_menu_background', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.nav-primary .wrap' ).css("background-color", to );
				$( '.nav-primary .sub-menu' ).css("background-color", to );
			} );
		} );	
		
	// Header Menu position
		api( 'kirhero_header_menu_position', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.nav-primary' ).css("text-align", to );

			} );
		} );	
	// Header link color
		api( 'kirhero_header_menu_link_color', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.genesis-nav-menu a' ).css("color", to );
				$( '.kirhero-text' ).css("color", to );
				$( '.hamburger-inner, .hamburger-inner::after, .hamburger-inner::before' ).css("background-color", to );
				$( '.hamburger-inner::after' ).css("background-color", to );
				$( '.hamburger-inner::before' ).css("background-color", to );

			} );
		} );	
		
		// Logo color
		api( 'kirhero_admin_header_logo_color', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.site-title a' ).css("color", to );

			} );
		} );	
		
		// Logo tagline color
		api( 'kirhero_admin_header_tagline_color', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.site-description' ).css("color", to );

			} );
		} );	
		
		
		// Logo tagline color
		api( 'kirhero_admin_header_logo_height', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.custom-logo' ).css("height", to +"px");

			} );
		} );	
		
		// Logo tagline color
		api( 'kirhero_admin_header_logo_width', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.custom-logo' ).css("width", to +"px");

			} );
		} );	
		
		// Header Menu dropdown background
		api( 'kirhero_admin_header_dropdown_menu_background', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.genesis-nav-menu .sub-menu a' ).css("background-color", to );
			} );
		} );	
		
		// Header Menu dropdown link color
		api( 'kirhero_admin_header_dropdown_menu_link_color', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.nav-primary .sub-menu a' ).css("color", to );
			} );
		} );	
		

		
		// Blog subheader background color
		api( 'kirhero_blog_subheader_background_color', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.single-post .general-page-header' ).css("background-color", to );
			} );
		} );	
		
		// Blog subheader background color
		api( 'kirhero_blog_subheader_text_background_color', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.single-post .general-page-header' ).css("color", to );
			} );
		} );	
		
		// Blog subheader padding
		api( 'kirhero_blog_subheader_padding_top', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.single-post .general-page-header' ).css("padding-top", to + "px");
			} );
		} );	
		
		// Blog subheader padding
		api( 'kirhero_blog_subheader_padding_bottom', function( value ) {
			value.bind( function( to ) {
				//var $child = $( '.customizer-kirhero_header_height' );
				$( '.single-post .general-page-header' ).css("padding-bottom", to + "px");
			} );
		} );	
	
} )( jQuery );
