<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Get meta sections
$sections = kirhero_blog_single_meta();

// Return if sections are empty
if ( empty( $sections )
	|| 'post' != get_post_type() ) {
	return;
}

// Return if quote format
if ( 'quote' == get_post_format() ) {
	return;
} 
?>

<?php do_action( 'kirhero_before_single_post_meta' ); ?>

<div class="entry-meta">

	<?php
	// Loop through meta sections
	foreach ( $sections as $section ) { ?>

		<?php if ( 'author' == $section ) { ?>
			<span class="meta-author"<?php kirhero_schema_markup_echo( 'author_name' ); ?>><i class="fa fa-user-o"></i> <?php echo the_author_posts_link(); ?></span>
		<?php } ?>

		<?php if ( 'date' == $section ) { ?>
			<span class="meta-date"<?php kirhero_schema_markup_echo( 'publish_date' ); ?>><i class="fa fa-clock-o"></i> <?php echo get_the_date(); ?></span>
		<?php } ?>

		<?php if ( 'categories' == $section ) { ?>
			<span class="meta-cat"><i class="fa fa-folder-o"></i> <?php the_category( ' / ', get_the_ID() ); ?></span>
		<?php } ?>

		<?php if ( 'comments' == $section && comments_open() && ! post_password_required() ) { ?>
			<span class="meta-comments"><i class="fa fa-comments-o"></i> <?php comments_popup_link( esc_html__( '0 Comments', 'orionwp' ), esc_html__( '1 Comment',  'orionwp' ), esc_html__( '% Comments', 'orionwp' ), 'comments-link local' ); ?></span>
		<?php } ?>

	<?php } ?>
	
</div>

<?php do_action( 'kirhero_after_single_post_meta' ); ?>