<?php


if( ! get_theme_mod( 'kirhero_admin_slider_active', kirhero_get_default_theme_settings( 'slider-active' ) ) || get_theme_mod( 'kirhero_admin_slider_background_image') == '' || ! is_front_page() )
{
	return ;
}
	
$size = get_theme_mod( 'kirhero_admin_slider_background_image_size', kirhero_get_default_theme_settings( 'slider-background-image-size' ) );	
$kirhero_image = get_theme_mod( 'kirhero_admin_slider_background_image');	
$attachment = get_theme_mod( 'kirhero_admin_slider_background_image_attachment');	
$position = get_theme_mod( 'kirhero_admin_slider_background_image_position');

$current_size_img = array(
			'extra_small' => 'slider_blank_img_extra_small.gif',
			'small'  => 'slider_blank_img_small.gif',
			'medium' => 'slider_blank_img_medium.gif',
			'large'  => 'slider_blank_img_large.gif',
			);

$slider_img_link = get_template_directory_uri() . '/assets/img/'.$current_size_img[$size];

$image_full_width = get_theme_mod( 'kirhero_admin_slider_full_width', kirhero_get_default_theme_settings( 'slider-full-width' ) );	

$slider_text_header = get_theme_mod( 'kirhero_admin_slider_text_header', kirhero_get_default_theme_settings( 'slider-text-header' ) );	
$slider_text = get_theme_mod( 'kirhero_admin_slider_text', kirhero_get_default_theme_settings( 'slider-text' ) );	


$slider_css = '';

//img
if( !empty( $kirhero_image ) )
{
	$slider_css .= "background-image: url('".$kirhero_image."');";
}

if( !empty( $attachment ) )
{
	$slider_css .= 'background-attachment: '.$attachment.';';

}

if( !empty( $position ) )
{
	$slider_css .= 'background-position: '.$position.';';

}


if( get_theme_mod( 'kirhero_header_fixed', kirhero_get_default_theme_settings( 'header-fixed' ) ) == true && get_theme_mod( 'kirhero_admin_slider_under_header', kirhero_get_default_theme_settings( 'slider-under-header' ) ))
{
	$slider_css .= 'margin-top: -'. kirhero_header_content_calc().'px;';

}

?>


<div class="site-slider">
	<div <?php if ( ! $image_full_width ) { ?> class="wrap" <?php } ?>>

		<div class="slider-wrap" style="<?php echo esc_attr($slider_css) ?>">
			<img src="<?php echo esc_url($slider_img_link) ?>">
			
			<?php if( !empty( $slider_text_header) || !empty( $slider_text ) ) { ?>
			<div class="home-slider-block-inner">
                      <div class="home-slider-block-bg">
                          <h3><?php echo esc_html($slider_text_header) ?></h3>
                          <p><?php echo esc_html($slider_text) ?></p>
                      </div>
                </div>
               <?php } ?>
			
		</div><!-- .thumbnail -->
		
	</div>
</div>